{
  inputs,
  pkgs,
  lib,
  config,
  ...
}: {
  imports = [
    inputs.stylix.nixosModules.stylix
  ];

  security.polkit.enable = true;

  hardware.opentabletdriver.enable = true;

  services.dbus = {
    enable = true;
    packages = [pkgs.gcr];
  };
  programs.dconf.enable = true;

  hardware.bluetooth.enable = true;
  services.blueman.enable = true;

  programs.kdeconnect.enable = true;

  virtualisation.waydroid.enable = true;

  networking.stevenblack = {
    enable = lib.mkDefault true;
    block = ["porn" "gambling"];
  };

  stylix = {
    enable = true;
    image = "${pkgs.cosmic-wallpapers}/share/backgrounds/cosmic/orion_nebula_nasa_heic0601a.jpg";
    base16Scheme = "${pkgs.base16-schemes}/share/themes/gruvbox-dark-hard.yaml";
    polarity = "dark";
    opacity = {
      terminal = 0.9;
      applications = 0.9;
      desktop = 0.9;
      popups = 0.9;
    };
    cursor = {
      name = "Vanilla-DMZ";
      package = pkgs.vanilla-dmz;
      size = 24;
    };
    targets = {
      qt.enable = true;
      grub = {
        useWallpaper = true;
      };
    };
  };
  qt.enable = true;

  nixpkgs.overlays = [
    (final: prev: {
      interalia = prev.callPackage ../pkgs/interalia.nix {};
    })
  ];

  fonts.packages = with pkgs; [
    nerd-fonts.symbols-only
    interalia
  ];

  home-manager.users.${config.user}.imports = [
    ../home/workstation.nix
  ];

  environment.systemPackages = [pkgs.networkmanagerapplet];
  programs.nm-applet = {
    enable = true;
    indicator = true;
  };

  hardware.keyboard.zsa.enable = true;
  # enable keychron keyboard configuration
  services.udev.extraRules = ''
    KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="3434", ATTRS{idProduct}=="0e60", MODE="0660", GROUP="users", TAG+="uaccess", TAG+="udev-acl"
  '';
}
